org.eclipse.jetty.websocket

## Interface Extension

- All Superinterfaces:
    WebSocketGenerator, WebSocketParser.FrameHandler
  All Known Implementing Classes:
    AbstractExtension, DeflateFrameExtension, FragmentExtension, IdentityExtension

      public interface Extension
      extends WebSocketParser.FrameHandler, WebSocketGenerator

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `bind(WebSocket.FrameConnection connection, WebSocketParser.FrameHandler inbound, WebSocketGenerator outbound)`
    `String` | `getName()`
    `String` | `getParameterizedName()`
    `boolean` | `init(Map<String,String> parameters)`

    - ### Methods inherited from interface org.eclipse.jetty.websocket.WebSocketParser.FrameHandler

      `close, onFrame`

    - ### Methods inherited from interface org.eclipse.jetty.websocket.WebSocketGenerator

      `addFrame, flush, isBufferEmpty`

- - ### Method Detail

    - #### getName

          String getName()

    - #### getParameterizedName

          String getParameterizedName()

    - #### init

          boolean init(Map<String,String> parameters)

    - #### bind

          void bind(WebSocket.FrameConnection connection,
                  WebSocketParser.FrameHandler inbound,
                  WebSocketGenerator outbound)

Copyright © 1995-2013 Mort Bay Consulting. All Rights Reserved.